org.keycloak.models.jpa.entities

## Class RoleEntity

- java.lang.Object
- - org.keycloak.models.jpa.entities.RoleEntity

-     @Entity
      public class RoleEntity
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<RoleAttributeEntity>` | `attributes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RoleEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `List<RoleAttributeEntity>` | `getAttributes()`
    `String` | `getClientId()`
    `String` | `getClientRealmConstraint()`
    `Set<RoleEntity>` | `getCompositeRoles()`
    `String` | `getDescription()`
    `String` | `getId()`
    `String` | `getName()`
    `RealmEntity` | `getRealm()`
    `String` | `getRealmId()`
    `int` | `hashCode()`
    `boolean` | `isClientRole()`
    `void` | `setAttributes(List<RoleAttributeEntity> attributes)`
    `void` | `setClientId(String clientId)`
    `void` | `setClientRealmConstraint(String clientRealmConstraint)`
    `void` | `setClientRole(boolean clientRole)`
    `void` | `setCompositeRoles(Set<RoleEntity> compositeRoles)`
    `void` | `setDescription(String description)`
    `void` | `setId(String id)`
    `void` | `setName(String name)`
    `void` | `setRealm(RealmEntity realm)`
    `void` | `setRealmId(String realmId)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### attributes

          protected List<RoleAttributeEntity> attributes

  - ### Constructor Detail

    - #### RoleEntity

          public RoleEntity()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getRealmId

          public String getRealmId()

    - #### setRealmId

          public void setRealmId(String realmId)

    - #### getAttributes

          public List<RoleAttributeEntity> getAttributes()

    - #### setAttributes

          public void setAttributes(List<RoleAttributeEntity> attributes)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### getCompositeRoles

          public Set<RoleEntity> getCompositeRoles()

    - #### setCompositeRoles

          public void setCompositeRoles(Set<RoleEntity> compositeRoles)

    - #### isClientRole

          public boolean isClientRole()

    - #### setClientRole

          public void setClientRole(boolean clientRole)

    - #### getRealm

          public RealmEntity getRealm()

    - #### setRealm

          public void setRealm(RealmEntity realm)

    - #### getClientId

          public String getClientId()

    - #### setClientId

          public void setClientId(String clientId)

    - #### getClientRealmConstraint

          public String getClientRealmConstraint()

    - #### setClientRealmConstraint

          public void setClientRealmConstraint(String clientRealmConstraint)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.